#ifdef __BORLANDC__
#pragma argsused
#endif
#include<iostream.h>
#include <math.h>

char main( int argc, char * argv[] )
{
float a=2;
float b=0;
float c=-2;
float wynik;
int blad;
float blad_f;
 try {
   for(b=5;b>-5;b--) {
   cout<<"a="<<a<<" b="<<b;
   if (b==0) throw blad;
   else
   wynik=a/b;
   cout<<" a/b="<<wynik<<"\n";
   }
 }
   catch(int) {
    cout<<" Blad - Dzielenie przez zero!!"<<"\n";}
    cout<<"Po catch - Program dziala dalej ale petla przerwana"<<"\n";
    return 0;

}

